#include <iostream>

using namespace std;

int main()
{
    long long int a, b, c=0, st=1;
    cin >> a;
    cin >> b;
    while(a>0 || b>0)
    {
        if(a%10>b%10)
        {
            c+=a%10*st;
            st*=10;
        }
        else if(a%10==b%10)
        {
            c+=a%10*st;
            st*=10;
            c+=a%10*st;
            st*=10;
        }
        else
        {
            c+=b%10*st;
            st*=10;
        }
        a/=10;
        b/=10;
    }
    cout << c << endl;
}